#bnv-chat {
    position: fixed;
    bottom: 25px;
    left: 25px;
    z-index: 99999;
    font-family: Tahoma, Arial, sans-serif;
    direction: rtl;
}


/* دکمه باز کردن چت */

#bnv-chat-button {

    width: 65px;
    height: 65px;

    background: linear-gradient(135deg,#2563eb,#1d4ed8);

    color:#fff;

    border-radius:50%;

    display:flex;
    align-items:center;
    justify-content:center;

    font-size:30px;

    cursor:pointer;

    box-shadow:
    0 8px 25px rgba(0,0,0,.25);

    transition:.3s;

}


#bnv-chat-button:hover {

    transform:scale(1.08);

}


/* پنجره چت */

#bnv-chat-box {

    width:360px;

    height:480px;

    background:#fff;

    border-radius:18px;

    overflow:hidden;

    position:absolute;

    bottom:80px;

    left:0;

    display:none;

    flex-direction:column;

    box-shadow:
    0 15px 45px rgba(0,0,0,.25);

    border:1px solid #e5e7eb;

}



/* هدر */

.bnv-header {

    height:60px;

    background:
    linear-gradient(135deg,#1e40af,#2563eb);

    color:white;

    display:flex;

    align-items:center;

    justify-content:space-between;

    padding:0 18px;

    font-size:16px;

}


.bnv-header .title {

    font-weight:bold;

}


#bnv-close {

    cursor:pointer;

    font-size:20px;

}



/* بخش پیام‌ها */

#bnv-chat-messages {

    flex:1;

    overflow-y:auto;

    padding:15px;

    background:#f8fafc;

}



/* پیام‌ها */

.bnv-message {

    max-width:80%;

    padding:10px 14px;

    margin-bottom:10px;

    border-radius:15px;

    line-height:1.8;

    font-size:14px;

    word-wrap:break-word;

}



/* پیام کاربر */

.bnv-user {

    background:#2563eb;

    color:#fff;

    margin-right:auto;

    border-bottom-left-radius:3px;

}



/* پیام مدیر */

.bnv-admin {

    background:#e5e7eb;

    color:#111827;

    margin-left:auto;

    border-bottom-right-radius:3px;

}



/* فوتر */

.bnv-footer {

    padding:12px;

    border-top:1px solid #eee;

    background:#fff;

    display:flex;

    gap:8px;

}



/* ورودی */

#bnv-message {

    flex:1;

    height:45px;

    resize:none;

    border:

    1px solid #d1d5db;

    border-radius:10px;

    padding:10px;

    font-family:inherit;

    direction:rtl;

    outline:none;

}


#bnv-message:focus {

    border-color:#2563eb;

}



/* دکمه ارسال */

#bnv-send {

    width:70px;

    border:none;

    background:#2563eb;

    color:white;

    border-radius:10px;

    cursor:pointer;

    font-family:inherit;

}


#bnv-send:hover {

    background:#1d4ed8;

}



/* موبایل */

@media(max-width:480px){


    #bnv-chat {

        left:15px;

        bottom:15px;

    }


    #bnv-chat-box {

        width:calc(100vw - 30px);

        height:70vh;

    }

}